## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate nanorand

Name:           rust-nanorand
Version:        0.7.0
Release:        %autorelease
Summary:        Tiny, fast, zero-dep library for random number generation

License:        Zlib
URL:            https://crates.io/crates/nanorand
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop WASM-specific getrandom/js feature
Patch:          nanorand-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A tiny, fast, zero-dep library for random number generation.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+chacha-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+chacha-devel %{_description}

This package contains library source intended for building other packages which
use the "chacha" feature of the "%{crate}" crate.

%files       -n %{name}+chacha-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+getrandom-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+getrandom-devel %{_description}

This package contains library source intended for building other packages which
use the "getrandom" feature of the "%{crate}" crate.

%files       -n %{name}+getrandom-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pcg64-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pcg64-devel %{_description}

This package contains library source intended for building other packages which
use the "pcg64" feature of the "%{crate}" crate.

%files       -n %{name}+pcg64-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rdseed-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rdseed-devel %{_description}

This package contains library source intended for building other packages which
use the "rdseed" feature of the "%{crate}" crate.

%files       -n %{name}+rdseed-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tls-devel %{_description}

This package contains library source intended for building other packages which
use the "tls" feature of the "%{crate}" crate.

%files       -n %{name}+tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wyrand-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wyrand-devel %{_description}

This package contains library source intended for building other packages which
use the "wyrand" feature of the "%{crate}" crate.

%files       -n %{name}+wyrand-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zeroize-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zeroize-devel %{_description}

This package contains library source intended for building other packages which
use the "zeroize" feature of the "%{crate}" crate.

%files       -n %{name}+zeroize-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jun 10 2024 Fabio Valentini <decathorpe@gmail.com> - 0.7.0-5
- Regenerate with rust2rpm v26

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 30 2022 Orion Poplawski <orion@nwra.com> - 0.7.0-1
- Initial import
## END: Generated by rpmautospec
